# Generated by Django 4.1.3 on 2022-12-02 06:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('discussion_app', '0009_discussioncategory_alter_discussion_type_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='DiscussionTheme',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=150, verbose_name='Theme of discussion')),
            ],
            options={
                'verbose_name': 'Discussion theme',
                'verbose_name_plural': 'Discussion themes',
            },
        ),
        migrations.AlterField(
            model_name='discussion',
            name='theme',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='place', to='discussion_app.discussiontheme', verbose_name='Theme'),
        ),
    ]
